## freesba 0.3.5

=== Makefile ===
#
# Makefile for SAM-BA Flash
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Author: Yury Ovcharenko <amwsoft@gmail.com>
#

CROSS		= arm-elf-
CC		= $(CROSS)gcc
AS		= $(CROSS)as
LD		= $(CROSS)ld
OBJDUMP		= $(CROSS)objdump
OBJCOPY		= $(CROSS)objcopy

HOST_CC		= gcc

INCLUDES	= at91sam7.h pio.h serial.h pmc.h funcs.h flash.h

OBJS		= crt0.o main.o pio.o serial.o pmc.o funcs.o flash.o

ELF		= sambaflash.elf
BIN		= sambaflash.bin
DUMP		= sambaflash.dump
IMAGE		= sambaflash.c

LDS		= at91sam7.lds
LIBPATH		= -L/usr/local/arm/lib/gcc-lib/arm-elf/3.3.6
LIBS		= -lgcc

CPPFLAGS	=
CFLAGS		= -g
ASFLAGS		=
LDFLAGS		= -T$(LDS)
##  DEBUG_MODE Used by developer
##CPPFLAGS	+= -DDEBUG_MODE

CONVERTOR	= bin2c

all: $(IMAGE) $(CONVERTOR)

$(IMAGE): $(BIN) $(CONVERTOR)
	$(CONVERTOR) $(BIN) > $(IMAGE)

$(CONVERTOR): $(CONVERTOR).c
	$(HOST_CC) -o $@ $<

$(BIN): $(ELF)
	$(OBJDUMP) -SD $(ELF) > $(DUMP)
	$(OBJCOPY) -O binary $(ELF) $(BIN)

$(ELF): $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LIBPATH) $(LIBS)

%.o: %.c $(INCLUDES)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

%.o: %.S $(INCLUDES)
	$(CC) -E $(CPPFLAGS) $< | $(AS) $(ASFLAGS) -o $@

clean:
	@echo "==========================================="
	rm -f *.o
	rm -f sambaflash.*
	rm -f $(CONVERTOR)
	@echo "==========================================="

.PHONY: all clean

=== debian/changelog ===
freesba (0.3.5-1) unstable; urgency=low

  * Initial release (Closes: #594198).

 -- Samuel Ribeiro da Costa Vale <srcvale@minaslivre.org>  Sun, 29 Aug 2010 17:54:20 -0300

=== debian/control ===
Source: freesba
Section: electronics
Priority: optional
Maintainer: Samuel Ribeiro da Costa Vale <srcvale@minaslivre.org>
Build-Depends: debhelper (>= 7.0.50~),
               autotools-dev,
               libreadline5-dev | libreadline-dev,
               libncurses5-dev
Standards-Version: 3.9.1.0
Homepage: https://code.google.com/p/samba/
Vcs-Git: git://git.debian.org/users/phractal-guest/freesba.git
Vcs-Browser: http://git.debian.org/?p=users/phractal-guest/freesba.git;a=summary

Package: freesba
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Flash utility for AT91SAM microcontrollers
 FreeSba, formally known as samba, is a free implementation of Atmel's
 SAM-ba(R) protocol, used as boot agent for Atmel AT91SAM microcontrollers.
 It is interfaces with SAM-ba(R) firmware in microcontrollers and allow
 SRAM and Flash programming, register visualization, etc.

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://samba.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/samba/downloads/detail[?]name=samba-(.*).tar.gz&.*
